#include <stddef.h>
#include <stdint.h>
#include <openssl/evp.h>

size_t hotp_base32decode(const char *b32, char *binout, size_t maxlen);

int hotp_generate(
  const EVP_MD *evp_md,
  int digits,
  char *key, int keylen,
  uint64_t counter,
  char *code
);
